Skip to content

POST /api — Submit

Submit a CAPTCHA task using the DeathByCaptcha-compatible format. Drop-in replacement — change only the base URL.

https://api.dbcapi.me/api
https://api.ucaptcha.net/api

Your authtoken becomes your uCaptcha API key.

POST https://api.ucaptcha.net/api/

Content-Type: application/x-www-form-urlencoded or multipart/form-data

Either method is accepted:

  • authtoken field in the POST body
  • HTTP Basic auth — username = your uCaptcha API key (password ignored)
typeCAPTCHARequired Fields
1Image to Textcaptchafile
4reCAPTCHA v2googlekey, pageurl
5reCAPTCHA v2 Invisiblegooglekey, pageurl
6hCaptchasitekey, pageurl
7FunCaptchapublickey, pageurl
9reCAPTCHA v3googlekey, pageurl, action, min_score
10reCAPTCHA v2 Enterprisegooglekey, pageurl
11Cloudflare Turnstilesitekey, pageurl
ParameterTypeRequiredDescription
authtokenstringYes*Your uCaptcha API key
typeintegerYesCAPTCHA type code (see table above, defaults to 1)
captchafilestringType 1Image data as base64:BASE64_DATA or raw base64
googlekeystringTypes 4,5,9,10reCAPTCHA site key
sitekeystringTypes 6,11hCaptcha / Turnstile site key
publickeystringType 7FunCaptcha public key
pageurlstringTypes 4-11URL of the target page
actionstringType 9reCAPTCHA v3 action string
min_scorefloatType 9reCAPTCHA v3 minimum score (e.g. 0.7)
proxystringNoProxy as user:pass@host:port or host:port
proxytypestringNoHTTP, SOCKS4, or SOCKS5 (defaults to http)

* Or use HTTP Basic auth instead.

{
"captcha": "550e8400-e29b-41d4-a716-446655440000",
"is_correct": true,
"solved": false,
"text": ""
}
FieldTypeDescription
captchastringTask ID — use this to poll for results
is_correctbooleantrue on successful submission
solvedbooleanfalse until the task is complete
textstringEmpty until solved
HTTP StatusMeaning
401Invalid or missing authtoken
402Insufficient balance
400Unsupported type or bad parameters
{
"status": 255,
"error": "Invalid or missing authtoken"
}
Terminal window
curl -X POST https://api.ucaptcha.net/api/ \
-d "authtoken=YOUR_API_KEY&type=4&googlekey=SITE_KEY&pageurl=https://example.com"
Terminal window
BASE64=$(base64 -w 0 captcha.png)
curl -X POST https://api.ucaptcha.net/api/ \
-d "authtoken=YOUR_API_KEY&type=1&captchafile=base64:$BASE64"
import requests
resp = requests.post("https://api.ucaptcha.net/api/", data={
"authtoken": "YOUR_API_KEY",
"type": 6,
"sitekey": "YOUR_SITE_KEY",
"pageurl": "https://example.com"
})
task_id = resp.json()["captcha"]
Terminal window
curl -X POST https://api.ucaptcha.net/api/ \
-u "YOUR_API_KEY:" \
-d "type=4&googlekey=SITE_KEY&pageurl=https://example.com"